Skip to contentSkip to navigationSkip to topbar
Page toolsOn this page
Looking for more inspiration?Visit the

25002: The provided user's first name is invalid


ERROR: 25002

error-25002 page anchor
ERROR

Twilio returns this error when the name.givenName value in a SCIM request for an organization-managed user is invalid. This can happen when you create a user with POST /scim/v2/Users or update a user with PUT /scim/v2/Users/{id} or PATCH /scim/v2/Users/{id}. The first name must be between 2 and 255 characters.

Possible causes

possible-causes page anchor
  • The value sent in name.givenName is fewer than 2 characters.
  • The value sent in name.givenName is longer than 255 characters.
  • Your identity provider or SCIM client sent an invalid first-name value while provisioning or updating a managed user.
  • A create request to POST /scim/v2/Users included an invalid name.givenName value.
  • An update request to PUT /scim/v2/Users/{id} or PATCH /scim/v2/Users/{id} included an invalid name.givenName value.
  • Update name.givenName so it contains between 2 and 255 characters before you send the request.
  • Review the payload your SCIM client sends for POST /scim/v2/Users, PUT /scim/v2/Users/{id}, or PATCH /scim/v2/Users/{id} and correct the first-name value.
  • If you provision users from an identity provider such as Okta, review your provisioning configuration so the first name sent to Twilio is valid.
  • Send the request again after you correct the invalid first-name value.
  • When you update a managed user, make sure any change to name.givenName uses a valid value.

Additional resources

additional-resources page anchor